(function($) {

	window.PyAMS_media = {

		initPlayer: function() {
			var player = $(this);
			MyAMS.dialog.registerShownCallback(PyAMS_media.initPlayerDialog, player);
			var flowplayer = player.flowplayer();
			var events = player.data('ams-flowplayer-events');
			if (events) {
				for (var event in events) {
					flowplayer.on(event, MyAMS.getFunctionByName(events[event]));
				}
			}
		},

		initPlayerDialog: function() {
			var dialog = $(this);
			$('.modal-viewport', dialog).removeAttr('style')
										.removeClass('modal-viewport');
		},

		getPlayerTime: function(e, api) {
			var parent = $(this);
			var player = parent.data('flowplayer');
			var position = player.video.time;
			var form = parent.parents('form');
			$('INPUT[name="form.widgets.time"]', form).val(position);
		}
	};

})(jQuery);
